iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | Properties | List of all members
MATraceManager Class Reference

`#import <MATraceManager.h>`

Inheritance diagram for MATraceManager:

## Instance Methods
(NSOperation *) | - queryProcessedTraceWith:type:processingCallback:finishCallback:failedCallback:
| 获取纠偏后的经纬度点集 Obtain the corrected latitude and longitude point set More...
(void) | - start
| 开始轨迹定位, 内部使用系统CLLocationManager，distanceFilter，desiredAccuracy均为系统默认值，since v6.2.0 Start trajectory tracking, internally using the system CLLocationManager, distanceFilter, and desiredAccuracy are set to system default values. since v6.2.0 More...
(void) | - stop
| 停止轨迹定位，since v6.2.0 Stop trajectory tracking. since v6.2.0 More...

## Class Methods
(instancetype) | + sharedInstance
| 单例方法 Singleton method More...

## Properties
id< MATraceDelegate > | delegate
| 轨迹定位的代理回调对象，配合start和stop方法使用，since v6.2.0 The delegate callback object for trajectory positioning, used in conjunction with the start and stop methods. since v6.2.0 More...

## Detailed Description

轨迹纠偏管理类 Trajectory correction management class

## Method Documentation

## ◆ queryProcessedTraceWith:type:processingCallback:finishCallback:failedCallback:

- (NSOperation *) queryProcessedTraceWith: |  | (NSArray< MATraceLocation * > *) | locations
type: |  | (AMapCoordinateType) | type
processingCallback: |  | (MAProcessingCallback) | processingCallback
finishCallback: |  | (MAFinishCallback) | finishCallback
failedCallback: |  | (MAFailedCallback) | failedCallback

获取纠偏后的经纬度点集 Obtain the corrected latitude and longitude point set

Parameters

  locations | 待纠偏处理的点集, 顺序即为传入的顺序 Point set to be corrected, the order is the input order
  type | loctions经纬度坐标的类型, 如果已经是高德坐标系，传 -1 The type of loctions latitude and longitude coordinates. If it is already in the AutoNavi coordinate system, pass -1
  processingCallback | 如果一次传入点过多，内部会分批处理。每处理完一批就调用此回调 If too many points are passed in at once, they will be processed in batches internally. This callback is called after each batch is processed
  finishCallback | 全部处理完毕调用此回调 This callback is called when all processing is complete
  failedCallback | 失败调用此回调 This callback is called on failure

Returns
  返回一个NSOperation对象，可调用cancel取消 Returns an NSOperation object, which can be canceled by calling cancel

## ◆ sharedInstance

+ (instancetype) sharedInstance |  |  |

单例方法 Singleton method

## ◆ start

- (void) start |  |  |

开始轨迹定位, 内部使用系统CLLocationManager，distanceFilter，desiredAccuracy均为系统默认值，since v6.2.0 Start trajectory tracking, internally using the system CLLocationManager, distanceFilter, and desiredAccuracy are set to system default values. since v6.2.0

## ◆ stop

- (void) stop |  |  |

停止轨迹定位，since v6.2.0 Stop trajectory tracking. since v6.2.0

## Property Documentation

## ◆ delegate

- (id<MATraceDelegate>) delegate
| read write nonatomic weak

轨迹定位的代理回调对象，配合start和stop方法使用，since v6.2.0 The delegate callback object for trajectory positioning, used in conjunction with the start and stop methods. since v6.2.0

The documentation for this class was generated from the following file:

- MATraceManager.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。